Bug 64515 - Trying to make boot floppy with no floppy drive device appears to hang
Trying to make boot floppy with no floppy drive device appears to hang
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-06 20:57 EDT by Ed Halley
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-06 21:58:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ed Halley 2002-05-06 20:57:38 EDT
Description of Problem:
  If the user has no floppy drive, then the Red Hat Linux 7.3 Valhalla installer
can appear to hang or lock up when trying to make a boot floppy.  If there is no
floppy device, anaconda should probably not present the option to make a boot
floppy.

How Reproducible:
  Always.
  The problem arises when the user makes a mistake.
  There is a non-obvious workaround once anaconda becomes stuck.

Steps to Reproduce:
1. Remove the floppy drive cable from a standard computer.
2. Install Red Hat Linux.
3. On the page which offers a checkbox, "Skip boot disk creation,"
   then accidentally do NOT mark the checkbox, and instead click Next.
4. Observe an endless attempt to try to make a boot floppy.
   There is no screen activity or timeout at all.

Workaround:
  A proficient user who knows about Linux can press Ctrl+Alt+F2 to change to a
new virtual terminal, and inspect the (ps) process list for the stuck mkbootdisk
process, and kill it.  Anaconda then will report an error and allow the user to
mark the "Skip boot disk creation" checkbox.

Expected results:
  Anaconda should detect the condition of having no floppy drive before trying
to make a boot floppy.  If that's not possible, and anaconda detects a floppy
controller but cannot detect the absence of actual drive devices, then anaconda
should nurse the mkbootdisk process with a timeout period.

In general:
  More visual feedback during mkbootdisk would be useful here.
Comment 1 Ali-Reza Anghaie 2002-05-06 21:01:27 EDT
I second this. I made this same mistake but in my case it timed out not 
horribly long afterwards. The thing is that a floppy drive ~is~ detected in my 
IBM lappy even when it's not attached. Perhaps a better way would be to have 
an 'abort' tab or something. -Ali
Comment 2 Michael Fulbright 2002-05-07 17:41:04 EDT
This screen is changing in the future to be less confusing.
Comment 3 Mike McLean 2002-08-09 18:05:43 EDT
There is now a popup dialog with explanatory text and two buttons: "cancel" and
"make boot disk".  It should be much more difficult for someone to accidentally
invoke mkbootdisk.

Furthermore, I tried this out on a machine that has no floppy drive (actually
not even a floppy controller). mkbootdisk simply failed with a warning dialog
and dropped me back to the main bootdisk screen.  Very reasonable behavior.

CLOSED->RAWHIDE
Comment 4 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated

Note You need to log in before you can comment on or make changes to this bug.